const drawChart = function(data, options) {
  var config = {
    type: 'line',
    data: {
      labels: data.labels, //array van labels (x-as)
      datasets: [
        {
          label: options.label,
          backgroundColor: options.color, // achtergrondkleur kader instellen
          borderColor: options.color, // randkleur kader instellen + kleur grafieklijn
          data: data.series, // we moeten een array van data meegeven (y-as)
          fill: false
        }
      ]
    },
    options: {
      responsive: true,
      title: {
        display: true,
        text: options.title //titel van de grafiek
      },
      tooltips: {
        mode: 'index',
        intersect: false
      },
      hover: {
        mode: 'nearest',
        intersect: true
      },
      scales: {
        xAxes: [
          {
            display: true,
            scaleLabel: {
              display: true,
              labelString: options.xLabel //label x as
            }
          }
        ],
        yAxes: [
          {
            display: true,

            ticks: {
              suggestedMin: options.low, //toekennen laagste getal y-as
              suggestedMax: options.high, //toekennen hoogste getal y-as
              stepSize: options.stepSize //stepsize y-as
            },

            scaleLabel: {
              display: true,
              labelString: options.yLabel //label y-as
            }
          }
        ]
      }
    }
  };
  //console.log(options.canvasid);
  let ctx = document.getElementById(`myChart`).getContext('2d'); //aanspreken canvast met id 'waterdata'
  console.log(ctx);
  window.myLine = new Chart(ctx, config); // new chart aanmaken in canvas, met instellingen die in config te vinden zijn
};
